<script type="text/javascript" src="@{'public/chat/style/jquery-1.11.1.min.js'}"></script>
<style type="text/css">
    .dot {
        height: 8px;minim_chat_window;
        width: 8px;
        background-color: #e42340;
        border-radius: 50%;
        display: inline-block;
        vertical-align:text-top;
    }
    .btn-info {
        background-color: #3d4f71 !important;
        color: #fff!important;
        border: none!important;
    }
    .a{color: #cf3c4c;text-decoration:none;}
    .btn-primary{background-color:#3c81cf!important;color:#fff!important;border:none!important}
    .col-md-2, .col-md-10{
        padding:0;
    }
    .panel{
        margin-bottom: 0px;
    }
    .chat-window{
        bottom:0;
        position:fixed;
        float:right;
        margin-left:10px;
    }
    .chat-window > div > .panel{
        border-radius: 5px 5px 0 0;
    }
    .icon_minim{
        padding:2px 10px;
    }
    .msg_container_base{
        background: #e5e5e5;
        margin: 0;
        padding: 0 10px 10px;
        max-height:300px;
        overflow-x:hidden;
    }
    .top-bar {
        background: #666;
        color: white;
        padding: 10px;
        position: relative;
        overflow: hidden;
    }
    .msg_receive{
        padding-left:0;
        margin-left:0;
    }
    .msg_sent{
        padding-bottom:20px !important;
        margin-right:0;
    }
    .messages {
        background: white;
        padding: 10px;
        border-radius: 2px;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
        max-width:100%;
    }
    .messages > p {
        font-size: 13px;
        margin: 0 0 0.2rem 0;
    }
    .messages > time {
        font-size: 11px;
        color: #ccc;
    }
    .msg_container {
        padding: 10px;
        overflow: hidden;
        display: flex;
    }

    .avatar {
        position: relative;
    }
    .base_receive > .avatar:after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 0;
        height: 0;
        border: 5px solid #FFF;
        border-left-color: rgba(0, 0, 0, 0);
        border-bottom-color: rgba(0, 0, 0, 0);
    }

    .base_sent {
        justify-content: flex-end;
        align-items: flex-end;
    }
    .base_sent > .avatar:after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0;
        height: 0;
        border: 5px solid white;
        border-right-color: transparent;
        border-top-color: transparent;
        box-shadow: 1px 1px 2px rgba(black, 0.2); // not quite perfect but close
    }

    .msg_sent > time{
        float: right;
    }



    .msg_container_base::-webkit-scrollbar-track
    {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        background-color: #F5F5F5;
    }

    .msg_container_base::-webkit-scrollbar
    {
        width: 12px;
        background-color: #F5F5F5;
    }

    .msg_container_base::-webkit-scrollbar-thumb
    {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #555;
    }

    .btn-group.dropup{
        position:fixed;
        left:0px;
        bottom:0;
    }

    .box-chat {
        width: 350px;
        right: 25px;
    }

    @media only screen and (max-width: 1024px) and (min-width: 700px)  {
        .box-chat {
            width: 350px;
            right: 12px;
        }
    }

    @media only screen and (max-width: 699px)  {
        .box-chat {
            width: 285px;
            right: 0px;
        }
    }
</style>

<div class="container" style="padding-left: 640px;width: 0px;">
    <div class="row chat-window col-xs-5 col-md-3 box-chat" id="chat_window_1">
        <div class="col-xs-12 col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading top-bar">
                    <div class="col-md-8 col-xs-8">
                        <h3 class="panel-title" style="white-space: nowrap;overflow:hidden;text-overflow:ellipsis;"><span class="glyphicon glyphicon-comment"></span> ${produk?.nama_produk}</h3>
                    </div>
                    <div class="col-md-4 col-xs-4" style="text-align: right;">
                        <a href="#"><span id="minim_chat_window" class="glyphicon icon_minim panel-collapsed glyphicon-plus" style="color: #b51930;"></span></a>
                        <!--<a href="#"><span class="glyphicon glyphicon-remove icon_close" data-id="chat_window_1" style="color: #b51930;"></span></a>-->
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-body msg_container_base default" style="display: none;">

                        <div class="row msg_container base_receive">
                            <div class="col-md-2 col-xs-2 avatar">
                                <img src="${produk?.getActiveImageUrl()}" class=" img-responsive " onerror="this.src='@{'/public/images/image-not-found.png'}';">
                            </div>
                            <div class="col-md-10 col-xs-10">
                                <div class="messages msg_receive">
                                    <p style="white-space: nowrap;overflow:hidden;text-overflow:ellipsis;"><b>${produk?.nama_produk}</b></p>
                                    <ul class="btn-inline">
                                    *{#{if aktifUser != null && aktifUser.isPp()}}*
                                        *{#{if produk.komoditas.apakah_iklan == false && produk.apakah_dapat_dibeli == true && showBuyButton == true}}*
                                            *{<li><a href="@{purchasing.KeranjangBelanjaCtr.viewAddToBasket(produk?.id, produk?.daerah_id)}" name="addToBasketBtn" class="btn btn-info btn-sm"><i}*
                                                    *{class="fa fa-shopping-cart"></i> &{'beli.label'}</a></li>}*
                                        *{#{/if}}*
                                    *{#{/if}}*
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="ajax-get-pesan">
                        </div>

                    </div>
                </div>
                <div class="panel-footer">
                    <div class="input-group">
                        <input type="text" id="txtpesan" name="txtpesan" class="form-control input-sm" placeholder="&{'masukkan_pesan.label'} ..."/>
                        <input type="hidden" name="user_produk_id" value="${user_produk.id}">
                        <input type="hidden" name="produk_id" value="${id}">
                        <input type="hidden" name="checkChat" value="${chatCheck}">
                    #{if chat != null}
                        <input type="hidden" name="id_chat" value="${chat.id}">
                        <input type="hidden" name="file_out" value="${chat.file}">
                        <input type="hidden" name="valueUser" value="${valueUser}">
                    #{/if}
                        <span class="input-group-btn">
                            <button class="submit btn btn-primary btn-sm" type="submit" id="btn-chat" href="javascript:void(0)" data-id="2502">&{'send'}</button>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).on('click', '.dropdown-toggle', function(){
        $('.symbol-chat').html('');
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){

        function load_unseen_notification(view = '')
        {
            $(document).ajaxStart(function(){$.hideLoading();});
            $(document).ajaxComplete(function(){$.hideLoading();});
            $(document).ajaxSuccess(function(){$.hideLoading();});
            var formData = {
                'produk_id_post'          : $('input[name=produk_id]').val(),
                'vUser'                   : $('input[name=valueUser]').val(),
                'file_post'               : $('input[name=file]').val()
            };
            $.ajax({
                url:"@{chat.ChatCtr.fetchNewChatProduk()}",
                method:"POST",
                data:formData,
                dataType: "json",
                success:function(data)
                {
                    //alert(data);
                    JSON.stringify(data);
                    if (data.statusUser == 1){
                        $('.ajax-get-pesan').html(data.dataChat);
                        $('.count-notif-pesan').html(data.countNotifPesan);
                        $('.list-notif-pesan').html(data.navbarChat);
                        var scrolltoh = $('.ajax-get-pesan')[0].scrollHeight;
                        $('.ajax-get-pesan').scrollTop(scrolltoh);
                    } else {
                        window.location.href = "@{LoginCtr.index()}";
                    }
                }
            });
        }
            load_unseen_notification();
            // setInterval(function(){
            //     load_unseen_notification();
            // }, 5000);

        $(".submit").click(function(){
            var formData = {
                'user_produk_id'    : $('input[name=user_produk_id]').val(),
                'file'              : $('input[name=file_out]').val(),
                'id_chat'           : $('input[name=id_chat]').val(),
                'checkChat'         : $('input[name=checkChat]').val(),
                'produk_id'         : $('input[name=produk_id]').val(),
                'pesan'             : $('input[name=txtpesan]').val()
            };

            $.ajax({
                type: 'POST',
                url: '@{chat.ChatCtr.createSubmitChatProduk()}',
                data: formData,
                success: function(data){
                    $('input[name=txtpesan]').val('');
                    $('#txtpesan').load();
                    load_unseen_notification();
                    var scrolltoh = $('.ajax-get-pesan')[0].scrollHeight;
                    $('.ajax-get-pesan').scrollTop(scrolltoh);
                }
            });

            if(formData.checkChat=='false'){
                location.reload();
            }

        });
    });
    $(document).bind('keypress', function(e) {
        if(e.keyCode==13){
            $('#btn-chat').trigger('click');
        }
    });
</script>

<script type="text/javascript">
    $(document).on('click', '.panel-heading span.icon_minim', function (e) {
        var $this = $(this);
        if (!$this.hasClass('panel-collapsed')) {
            $this.parents('.panel').find('.panel-body').slideUp();
            $this.addClass('panel-collapsed');
            $this.removeClass('glyphicon-minus').addClass('glyphicon-plus');
        } else {
            $this.parents('.panel').find('.panel-body').slideDown();
            $this.removeClass('panel-collapsed');
            $this.removeClass('glyphicon-plus').addClass('glyphicon-minus');
        }
    });
    $(document).on('focus', '.panel-footer input.chat_input', function (e) {
        var $this = $(this);
        if ($('#minim_chat_window').hasClass('panel-collapsed')) {
            $this.parents('.panel').find('.panel-body').slideDown();
            $('#minim_chat_window').removeClass('panel-collapsed');
            $('#minim_chat_window').removeClass('glyphicon-plus').addClass('glyphicon-minus');
        }
    });
    $(document).on('click', '#new_chat', function (e) {
        var size = $( ".chat-window:last-child" ).css("margin-left");
        size_total = parseInt(size) + 400;
        alert(size_total);
        var clone = $( "#chat_window_1" ).clone().appendTo( ".container" );
        clone.css("margin-left", size_total);
    });
    $(document).on('click', '.icon_close', function (e) {
        //$(this).parent().parent().parent().parent().remove();
        // $( "#chat_window_1" ).remove();
        $('#chat_window_1').html("<i class=\"fa fa-comments-o openChat\" style=\"font-size:48px;color:red\"></i>");
    });
    $(document).on('click', '.openChat', function (e) {
        //$(this).parent().parent().parent().parent().remove();
        addClass('box-chat');
    });
</script>